Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | Private Member Functions | List of all members
VOL_swing Class Reference

`#include <OsiTestSolver.hpp>`

## Public Types
enum | condition { green, yellow, red }

## Public Member Functions
| VOL_swing ()
| ~VOL_swing ()
void | cond (const VOL_dual &dual, const double lcost, const double ascent, const int iter)
double | lfactor (const VOL_parms &parm, const double lambda, const int iter)
void | print ()

## Public Attributes
enum VOL_swing::condition | lastswing
int | lastgreeniter
int | lastyellowiter
int | lastrediter
int | ngs
int | nrs
int | nys
int | rd

## Private Member Functions
| VOL_swing (const VOL_swing &)
VOL_swing & | operator= (const VOL_swing &)

## Detailed Description

Definition at line 392 of file OsiTestSolver.hpp.

## Member Enumeration Documentation

enum VOL_swing::condition

Enumerator
green |
yellow |
red |

Definition at line 397 of file OsiTestSolver.hpp.

## Constructor & Destructor Documentation

VOL_swing::VOL_swing | ( | const VOL_swing & |  | ) |
| private

VOL_swing::VOL_swing | ( |  | ) |
| inline

Definition at line 402 of file OsiTestSolver.hpp.

VOL_swing::~VOL_swing | ( |  | ) |
| inline

Definition at line 406 of file OsiTestSolver.hpp.

## Member Function Documentation

VOL_swing& VOL_swing::operator= | ( | const VOL_swing & |  | ) |
| private

void VOL_swing::cond | ( | const VOL_dual & | dual,
|  | const double | lcost,
|  | const double | ascent,
|  | const int | iter
| ) |  |
| inline

Definition at line 408 of file OsiTestSolver.hpp.

double VOL_swing::lfactor | ( | const VOL_parms & | parm,
|  | const double | lambda,
|  | const int | iter
| ) |  |
| inline

Definition at line 433 of file OsiTestSolver.hpp.

void VOL_swing::print | ( |  | ) |
| inline

Definition at line 482 of file OsiTestSolver.hpp.

## Member Data Documentation

enum VOL_swing::condition VOL_swing::lastswing

int VOL_swing::lastgreeniter

Definition at line 398 of file OsiTestSolver.hpp.

int VOL_swing::lastyellowiter

Definition at line 398 of file OsiTestSolver.hpp.

int VOL_swing::lastrediter

Definition at line 398 of file OsiTestSolver.hpp.

int VOL_swing::ngs

Definition at line 399 of file OsiTestSolver.hpp.

int VOL_swing::nrs

Definition at line 399 of file OsiTestSolver.hpp.

int VOL_swing::nys

Definition at line 399 of file OsiTestSolver.hpp.

int VOL_swing::rd

Definition at line 400 of file OsiTestSolver.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Osi/test/OsiTestSolver.hpp